ustrncat(3)

NAME
ustrncat

SYNOPSIS
#include <allegro.h>

char *ustrncat(char *dest, const char *src, int n);

DESCRIPTION
This function is like ustrcat() except that no more than n characters from src are appended to the end of dest. If the terminating NULL character in src is reached before n characters have been written, the NULL character is copied, but no other characters are written. If n characters are written before a terminating NULL is encountered, the function appends its own NULL character to dest, so that n+1 characters are written. The return value is the value of dest.

SEE ALSO
uconvert(3), ustrcat(3), ustrzncat(3)